# Deprecated API

## Contents

- Interfaces
- Classes
- Fields
- Methods
- Constructors

Deprecated Interfaces
Interface
Description
jxl.CellFormat
Repackaged as jxl.format.CellFormat

Deprecated Classes
Class
Description
jxl.write.Alignment
Repackaged as jxl.Alignment. This version is retained for backwards compatibility
jxl.write.Border
repackaged as jxl.format.Border
jxl.write.BorderLineStyle
Repackaged as jxl.format.BorderLineStyle
jxl.write.Colour
This has been repackaged as jxl.format.Colour
jxl.write.Font
Renamed to writable font
jxl.write.Pattern
Repackaged as jxl.format.Pattern
jxl.write.VerticalAlignment
Repackaged as jxl.format.VerticalAlignment

Deprecated Fields
Field
Description
jxl.write.Font.ARIAL
jxl.write.Font.BOLD
jxl.write.Font.DOUBLE
jxl.write.Font.DOUBLE_ACCOUNTING
jxl.write.Font.NO_BOLD
jxl.write.Font.NO_UNDERLINE
jxl.write.Font.SINGLE
jxl.write.Font.SINGLE_ACCOUNTING
jxl.write.Font.TIMES

Deprecated Methods
Method
Description
jxl.CellView.getDimension()
use getSize() instead
jxl.CellView.setDimension(int)
use the setSize method instead
jxl.format.Colour.getDefaultBlue()
use getDefaultRGB instead
jxl.format.Colour.getDefaultGreen()
use getDefaultRGB instead
jxl.format.Colour.getDefaultRed()
use getDefaultRGB instead
jxl.Sheet.getColumnFormat(int)
Use getColumnView and the CellView bean instead
jxl.Sheet.getColumnWidth(int)
Use getColumnView instead
jxl.Sheet.getRowHeight(int)
use getRowView instead
jxl.Sheet.isHidden()
in favour of the getSettings() method
jxl.Sheet.isProtected()
in favour of the getSettings() method
jxl.SheetSettings.setSelected()
use overloaded version which takes a boolean
jxl.write.WritableSheet.setColumnView(int, int, CellFormat)
Use the CellView bean instead
jxl.write.WritableSheet.setFooter(String, String, String)
use the SheetSettings bean
jxl.write.WritableSheet.setHeader(String, String, String)
use the SheetSettings bean
jxl.write.WritableSheet.setHidden(boolean)
use the SheetSettings bean instead
jxl.write.WritableSheet.setProtected(boolean)
use the SheetSettings bean instead
jxl.write.WritableWorkbook.copy(Workbook)
Copying now occurs implicitly as part of the overloaded factory method Workbook.createWorkbood

Deprecated Constructors
Constructor
Description
jxl.write.Font(WritableFont.FontName)
Use jxl.write.WritableFont
jxl.write.Font(WritableFont.FontName, int)
use jxl.write.WritableFont
jxl.write.Font(WritableFont.FontName, int, WritableFont.BoldStyle)
use jxl.write.WritableFont
jxl.write.Font(WritableFont.FontName, int, WritableFont.BoldStyle, boolean)
use jxl.write.WritableFont
jxl.write.Font(WritableFont.FontName, int, WritableFont.BoldStyle, boolean, UnderlineStyle)
use jxl.write.WritableFont
jxl.write.Font(WritableFont.FontName, int, WritableFont.BoldStyle, boolean, UnderlineStyle, Colour)
use jxl.write.WritableFont
jxl.write.Font(WritableFont.FontName, int, WritableFont.BoldStyle, boolean, UnderlineStyle, Colour, ScriptStyle)
use jxl.write.WritableFont